# TODO: unpackaged files:
#    /usr/share/java/lucene-analyzers-3.0.0.jar
#    /usr/share/java/lucene-core-3.0.0.jar
#    /usr/share/java/tagsoup-1.2.1.jar
#    /usr/share/java/webhelpindexer.jar
# (all as webhelpidexer-externsions? -n java-webhelpindexer? use java-lucene.spec after upgrade?)
Summary:	Norman Walsh's modular stylesheets for DocBook
Summary(pl.UTF-8):	Arkusze stylistyczne XSL dla DocBook DTD
Summary(pt_BR.UTF-8):	Stylesheets modulares do Norman Walsh para DocBook
Name:		docbook-style-xsl
Version:	1.77.1
Release:	1
License:	(C) 1997, 1998 Norman Walsh (Free)
Group:		Applications/Publishing/XML
Source0:	http://downloads.sourceforge.net/docbook/docbook-xsl-%{version}.tar.bz2
# Source0-md5:	a88dbdc0cd74702656083b6e4e4241d8
Source1:	http://downloads.sourceforge.net/docbook/docbook-xsl-doc-%{version}.tar.bz2
# Source1-md5:	070c32cc7dc3909fcc7c0fe35c2ff30a
URL:		http://docbook.sourceforge.net/projects/xsl/index.html
BuildRequires:	libxml2-progs
BuildRequires:	unzip
Requires(post,postun):	/etc/xml/catalog
Requires(post,postun):	/usr/bin/xmlcatalog
# workaround for rpm/poldek
Requires:	/etc/xml/catalog
Requires:	libxml2-progs
Requires:	sgml-common >= 0.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
AutoReqProv:	no

%define		_javalibdir	%{_datadir}/java
%define		xsl_path	%{_datadir}/sgml/docbook/xsl-stylesheets
%define		catalog		%{xsl_path}/catalog.xml

%description
Highly customizable XSL stylesheets for DocBook XML DTD. The
stylesheets allow to produce documents in XSL FO, HTML or XHTML
formats.

%description -l pl.UTF-8
Konfigurowalne arkusze stylistyczne dla DocBook XML DTD. Arkusze
stylistyczne, zawarte w tym pakiecie, umożliwiają tworzenie dokumentów
w formacie XSL FO, HTML lub XHTML.

%description -l pt_BR.UTF-8
Stylesheets modulares do Norman Walsh para DocBook.

%package xalan-extensions
Summary:	DocBook Xalan extensions
Summary(pl.UTF-8):	Rozszerzenia DocBook Xalan
Group:		Applications/Publishing/XML
Requires:	java-xalan

%description xalan-extensions
DocBook Xalan extensions.

%description xalan-extensions -l pl.UTF-8
Rozszerzenia DocBook Xalan.

%package saxon-extensions
Summary:	DocBook Saxon extensions
Summary(pl.UTF-8):	Rozszerzenia DocBook Saxon
Group:		Applications/Publishing/XML
Requires:	saxon

%description saxon-extensions
DocBook Saxon extensions.

%description saxon-extensions -l pl.UTF-8
Rozszerzenia DocBook Saxon.

%prep
%setup -q -n docbook-xsl-%{version} -b1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{xsl_path},%{_sysconfdir}/xml} \
	$RPM_BUILD_ROOT%{_javalibdir}

cp -a * $RPM_BUILD_ROOT%{xsl_path}

install extensions/*.jar $RPM_BUILD_ROOT%{_javalibdir}

%xmlcat_create $RPM_BUILD_ROOT%{catalog}

%xmlcat_add_rewrite http://docbook.sourceforge.net/release/xsl/%{version} file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}
%xmlcat_add_rewrite http://docbook.sourceforge.net/release/xsl/current file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}

rm -rf $RPM_BUILD_ROOT%{xsl_path}/doc \
	$RPM_BUILD_ROOT%{xsl_path}/BUGS \
	$RPM_BUILD_ROOT%{xsl_path}/ChangeLog \
	$RPM_BUILD_ROOT%{xsl_path}/README \
	$RPM_BUILD_ROOT%{xsl_path}/RELEASE-NOTES.html \
	$RPM_BUILD_ROOT%{xsl_path}/RELEASE-NOTES.xml \
	$RPM_BUILD_ROOT%{xsl_path}/TODO \
	$RPM_BUILD_ROOT%{xsl_path}/WhatsNew \
	$RPM_BUILD_ROOT%{xsl_path}/extensions

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -L %{xsl_path} ] ; then
	rm -rf %{xsl_path}
fi

%post
if ! grep -q %{catalog} %{_sysconfdir}/xml/catalog ; then
	%xmlcat_add %{catalog}
fi

%preun
if [ "$1" = "0" ] ; then
	%xmlcat_del %{catalog}
fi

%files
%defattr(644,root,root,755)
%doc doc AUTHORS BUGS COPYING NEWS README RELEASE-NOTES.{html,txt} TODO
%{xsl_path}

%files xalan-extensions
%defattr(644,root,root,755)
%{_javalibdir}/xalan*.jar

%files saxon-extensions
%defattr(644,root,root,755)
%{_javalibdir}/saxon*.jar
%changelog
* Thu Nov 01 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docbook-style-xsl.git;a=log;h=master

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 3d2ab86
- updated to 1.77.1

* Wed Nov 10 2010 Jakub Bogusz <qboosh@pld-linux.org> dc57768
- noted unpackaged jars

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> d3dac6e
- Up to 1.76.1

* Thu Oct 21 2010 Caleb Maclennan <caleb@alerque.com> 7ba7ba8
- Up to 1.76.0

* Sun Aug 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 84892b7
- updated to 1.74.0

* Tue Sep 04 2007 Jakub Bogusz <qboosh@pld-linux.org> bbe5c13
- updated to 1.73.2

* Mon Aug 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 6310b1a
- updated to 1.73.0 (1.73.1 sources have Java extensions missing)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1bb34ed
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 06b3c7e
- converted to UTF-8

* Tue Jan 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 92a4be4
- updated to 1.72.0

* Sat Oct 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 4468cb1
- updated to 1.71.1

* Wed Sep 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 8329418
- updated to 1.71.0

* Sat Jul 22 2006 Jakub Bogusz <qboosh@pld-linux.org> b944f3a
- updated to 1.70.1

* Sat May 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 1bd1503
- updated to 1.70.0

* Fri Aug 12 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 92a34d9
- up to 1.69.1

* Sun Jul 24 2005 Jakub Bogusz <qboosh@pld-linux.org> aabc9ae
- updated to 1.69.0
- added comment to recently introduced post script workaround

* Sun Jul 17 2005 Paweł Sikora <pluto@pld-linux.org> 31ed1cb
- log fixed.

* Sun Jul 17 2005 Paweł Sikora <pluto@pld-linux.org> e7e75a3
- fixed R:, release 2 for Th.

* Sat Feb 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 5fb59fe
- updated to 1.68.1

* Sat Feb 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 90aac2f
- updated to 1.68.0, removed obsolete fix patch

